| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Private Attributes | List of all members
FactoryBase Class Referenceabstract

Base class for factories. More...

`#include <FactoryBase.h>`

Inheritance diagram for FactoryBase:
[legend]

## Detailed Description

Base class for factories.

This class maintains a registry of all factories that derive from it, and deletes them all when its static method deleteFactories is invoked.

Definition at line 25 of file FactoryBase.h.

## Public Member Functions
virtual | ~FactoryBase ()
| destructor

## Static Public Member Functions
static void | deleteFactories ()
| static function that deletes all factories in the internal registry maintained in a static variable

## Protected Member Functions
| FactoryBase ()
| Constructor.
virtual void | deleteFactory ()=0
| Virtual abstract function that deletes the factory.

## Static Private Attributes
static vector< FactoryBase * > | s_vFactoryRegistry
| statically held list of Factories.

## Constructor & Destructor Documentation

## ◆ ~FactoryBase()

virtual ~FactoryBase | ( |  | ) |
| inline virtual

destructor

Definition at line 30 of file FactoryBase.h.

## ◆ FactoryBase()

FactoryBase | ( |  | ) |
| inline protected

Constructor.

Adds the current object to the current static list

Definition at line 48 of file FactoryBase.h.

## Member Function Documentation

## ◆ deleteFactories()

static void deleteFactories | ( |  | ) |
| inline static

static function that deletes all factories in the internal registry maintained in a static variable

Definition at line 35 of file FactoryBase.h.

## ◆ deleteFactory()

virtual void deleteFactory | ( |  | ) |
| protected pure virtual

Virtual abstract function that deletes the factory.

This must be properly defined in child objects.

Implemented in ExtensionManagerFactory, KineticsFactory, ReactionRateFactory, Func1Factory, Math1FactoryA, Math1FactoryB, PreconditionerFactory, DomainFactory, ThermoFactory, TransportFactory, FlowDeviceFactory, ReactorFactory, and WallFactory.

## Member Data Documentation

## ◆ s_vFactoryRegistry

vector< FactoryBase * > s_vFactoryRegistry
| static private

statically held list of Factories.

Definition at line 60 of file FactoryBase.h.

The documentation for this class was generated from the following files:

- FactoryBase.h
- global.cpp